#ifndef NOTIFICATIONS_H
#define NOTIFICATIONS_H 1

#include "Task.h"

class Notifiable;
class Notifier;

class Notifiable  {
    
public:
    Notifiable();
    virtual ~Notifiable();
    
    virtual void notified(Notifier * tu);
};


class Notifier : public InternalTask {
    Notifiable * target;
    virtual void run(TaskNotification * tn);
public:
    Notifier(TaskQueue * which = InternalTask::syncTaskQueue);
    virtual ~Notifier();
    
    void setTarget(Notifiable * n);
};

/*
class Notifier {
    friend class Application;
    void sendNotification();
    bool alerted;
protected:
    
    Notifiable * target;
    
public:
    Notifier();
    virtual ~Notifier();
    
    void setTarget(Notifiable * t);
    Notifiable * getTarget() const;
    
    virtual void emitThreadNotification();
    
    static void initialise(int fd);
    static Notifier * nextNotified();
};

// Widget are notifiable

class NotifierTask : public InternalTask {
public:
    void setTarget(Notifiable * t);
    Notifiable * getTarget() const;
    
    static void initialise(int fd);
    static NotifierTask * nextNotified();
};
*/
#endif

