#ifndef LIRC_H
#define LIRC_H 1

#include "jsreflect.h"
#include <string>

class LircListener : public Selectable, public JSReflection::Object {
    JS_EXPORTED_CLASS
    
    std::string received;
    
    
    std::string lastsymb;
    long long firstsymbtime;
    long long lastsymbtime;
    
    virtual void doRead();
    void parseReceived();
    void parseLine(const std::string & line);
    
public:
    LircListener();
    virtual ~LircListener();
    
    bool isOpen() const;
    void open(const std::string & path);
};

#endif

