#include <deque>
#include "Application.h"
#include "Widget.h"
#include "Task.h"
#include "i18n.h"

#include "XineStream.h"

int main()
{
    Application * main;
    main = new Application();
    main->initialise(800,600);

    std::deque<JSReflection::ClassInfo *> bidouf;
    bidouf.push_back(XineStream::ClassInfo);

    //setLang("fr");
    
    Widget * w = new Widget();
    w->setWidth(800);
    w->setHeight(600);
    main->setRoot(w);
    w->setVisible(true);
    Application::current->getJsContext()->GetGlobal()->setProperty("screen",w);
    Application::loadXml("startup.xml");
    main->run();
}

