#ifndef GRIDWIDGET_H
#define GRIDWIDGET_H 1

#include "Widget.h"

class GridWidget : public Widget
{
    JS_EXPORTED_CLASS
    
    int cellWidth; // -1 mean full width (/inARow)
    int cellHeight; // -1 mean full height
    int childCount;
    
    int focusedX,focusedY;
    
    void placeChild(Widget * w);
public:
    GridWidget();
    
    virtual void initFatherData(Widget * child);
    virtual void looseFatherData(Widget * child);
    
    void setPosition(Widget * father,int x,int y);
    
    int getCellWidth() const;
    void setCellWidth(int cellWidthParam);
    
    int getCellHeight() const;
    void setCellHeight(int cellWidthParam);
    
    int getColumn(Widget * child) const;
    int getLine(Widget * child) const;
    void setFocus(int x,int y);
    
    virtual void removeChilds();
};

#endif
