#ifndef INPUTMAP_H
#define INPUTMAP_H 1

#include <map>
#include <list>

/**
 * Map OBJECT:function to keys
 *
 */
class InputMap {
    bool singleMatch(const std::string & input, const std::string & key);
    
protected:
    std::map<std::string, std::list<std::string> > mapping;
    
public:
    InputMap();
    virtual ~InputMap();
    
    bool inputMatchKey(const std::string & input, const std::string & key);
    
    void load(const std::string & path);
    
    void add(const std::string & input, const std::string & key);
};


#endif

